# -*- encoding: utf-8 -*-
# stub: rhubarbcipher 0.2.4 ruby lib

Gem::Specification.new do |s|
  s.name = "rhubarbcipher".freeze
  s.version = "0.2.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Peter Funnell".freeze]
  s.date = "2020-06-12"
  s.description = "RHUBARBCIPHER is a plausibly deniable multi-key file encryption/decryption system for GNU/Linux and BSD that combines one-time pad encryption/decryption with Shamir's Secret Sharing in an attempt to encrypt files in a versatile yet information-theoretically secure manner. RHUBARBCIPHER is only recommended for smaller files (e.g. less than 15000KiB) due to the time taken to encrypt/decrypt data, which increases as a function of file size. It includes an optional decoy feature which allows users to specify a decoy file and generate a set of decoy keys in addition to the real keys. Size similarity between the decoy file and the real file is strictly enforced. WARNING: Please be aware that this gem has not undergone any form of independent security evaluation.".freeze
  s.email = "hello@octetsplicer.com".freeze
  s.executables = ["rhubarbcipher".freeze]
  s.files = ["bin/rhubarbcipher".freeze]
  s.homepage = "https://github.com/octetsplicer/RHUBARBCIPHER".freeze
  s.licenses = ["GPL-3.0+".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.5".freeze)
  s.requirements = ["A GNU/Linux or BSD operating system.".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A plausibly deniable multi-key encryption/decryption system for GNU/Linux and BSD.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<cloversplitter>.freeze, ["~> 0.2", ">= 0.2.1"])
    s.add_runtime_dependency(%q<xorcist>.freeze, ["~> 1.1", ">= 1.1.2"])
  else
    s.add_dependency(%q<cloversplitter>.freeze, ["~> 0.2", ">= 0.2.1"])
    s.add_dependency(%q<xorcist>.freeze, ["~> 1.1", ">= 1.1.2"])
  end
end
